---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libNotifyFramePopStressTest.dylib'
relocations:
  - { offsetInCU: 0x5E, offset: 0x5E, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x1F680, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0x8C89, offset: 0x8C89, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x1F650, symBinAddr: 0x8030, symSize: 0x0 }
  - { offsetInCU: 0x8CA2, offset: 0x8CA2, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x1F660, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x8CBB, offset: 0x8CBB, size: 0x8, addend: 0x0, symName: __ZL8seenMain, symObjAddr: 0x1F668, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0x8CDB, offset: 0x8CDB, size: 0x8, addend: 0x0, symName: __ZL18last_notify_method, symObjAddr: 0x1F670, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8CF9, offset: 0x8CF9, size: 0x8, addend: 0x0, symName: __ZL9pop_count, symObjAddr: 0x1F678, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x8D17, offset: 0x8D17, size: 0x8, addend: 0x0, symName: __ZL6failed, symObjAddr: 0x1F67C, symBinAddr: 0x805C, symSize: 0x0 }
  - { offsetInCU: 0x8D81, offset: 0x8D81, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x784, symBinAddr: 0x2C3C, symSize: 0x24 }
  - { offsetInCU: 0x8FED, offset: 0x8FED, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xC70, symBinAddr: 0x2C60, symSize: 0x4 }
  - { offsetInCU: 0x9031, offset: 0x9031, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xC70, symBinAddr: 0x2C60, symSize: 0x4 }
  - { offsetInCU: 0x9043, offset: 0x9043, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv, symObjAddr: 0xC74, symBinAddr: 0x2C64, symSize: 0x11C }
  - { offsetInCU: 0x9255, offset: 0x9255, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD90, symBinAddr: 0x2D80, symSize: 0x4 }
  - { offsetInCU: 0x933F, offset: 0x933F, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv.cold.4, symObjAddr: 0x1534, symBinAddr: 0x352C, symSize: 0x44 }
  - { offsetInCU: 0x936B, offset: 0x936B, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv.cold.3, symObjAddr: 0x14F0, symBinAddr: 0x34E8, symSize: 0x44 }
  - { offsetInCU: 0x9397, offset: 0x9397, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv.cold.2, symObjAddr: 0x14AC, symBinAddr: 0x34A4, symSize: 0x44 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL16Agent_InitializeP7JavaVM_PcPv.cold.1, symObjAddr: 0x1468, symBinAddr: 0x3460, symSize: 0x44 }
  - { offsetInCU: 0x93EF, offset: 0x93EF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD90, symBinAddr: 0x2D80, symSize: 0x4 }
  - { offsetInCU: 0x9433, offset: 0x9433, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xD90, symBinAddr: 0x2D80, symSize: 0x4 }
  - { offsetInCU: 0x9445, offset: 0x9445, size: 0x8, addend: 0x0, symName: _JNI_OnLoad, symObjAddr: 0xD94, symBinAddr: 0x2D84, symSize: 0x8 }
  - { offsetInCU: 0x947B, offset: 0x947B, size: 0x8, addend: 0x0, symName: _Java_NotifyFramePopStressTest_canGenerateFramePopEvents, symObjAddr: 0xD9C, symBinAddr: 0x2D8C, symSize: 0x10 }
  - { offsetInCU: 0x9507, offset: 0x9507, size: 0x8, addend: 0x0, symName: _Java_NotifyFramePopStressTest_setFramePopNotificationMode, symObjAddr: 0xDAC, symBinAddr: 0x2D9C, symSize: 0x94 }
  - { offsetInCU: 0x9779, offset: 0x9779, size: 0x8, addend: 0x0, symName: _Java_NotifyFramePopStressTest_notifyFramePop, symObjAddr: 0xE40, symBinAddr: 0x2E30, symSize: 0x27C }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _Java_NotifyFramePopStressTest_suspend, symObjAddr: 0x10BC, symBinAddr: 0x30AC, symSize: 0x8C }
  - { offsetInCU: 0x9D68, offset: 0x9D68, size: 0x8, addend: 0x0, symName: _Java_NotifyFramePopStressTest_resume, symObjAddr: 0x1148, symBinAddr: 0x3138, symSize: 0x8C }
  - { offsetInCU: 0x9E73, offset: 0x9E73, size: 0x8, addend: 0x0, symName: _Java_NotifyFramePopStressTest_getPopCount, symObjAddr: 0x11D4, symBinAddr: 0x31C4, symSize: 0xC }
  - { offsetInCU: 0x9EA9, offset: 0x9EA9, size: 0x8, addend: 0x0, symName: _Java_NotifyFramePopStressTest_failed, symObjAddr: 0x11E0, symBinAddr: 0x31D0, symSize: 0xC }
  - { offsetInCU: 0x9F43, offset: 0x9F43, size: 0x8, addend: 0x0, symName: __ZL8FramePopP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDh, symObjAddr: 0x11EC, symBinAddr: 0x31DC, symSize: 0x27C }
  - { offsetInCU: 0xA42A, offset: 0xA42A, size: 0x8, addend: 0x0, symName: _OUTLINED_FUNCTION_0, symObjAddr: 0x1578, symBinAddr: 0x3458, symSize: 0x8 }
...
